package cn.com.qmth.examcloud.core.reports.base.enums;

public enum ReportStatus {
	NONE(" 未计算"),
	COMPUTING("计算中"), 
	SUCCESS("计算成功"),
	FAIL("计算失败"),
	STOP("计算终止")
	;
	// ===========================================================================

	/**
	 * 描述
	 */
	private String desc;

	/**
	 * 构造函数
	 *
	 * @param desc
	 */
	private ReportStatus(String desc) {
		this.desc = desc;
	}

	public String getDesc() {
		return desc;
	}
}
