package cn.com.qmth.examcloud.core.reports.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.apache.commons.lang3.StringUtils;
import org.examcloud.core.reports.api.bean.ExamCourseDataReportBean;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import cn.com.qmth.examcloud.core.reports.dao.ExamCourseDataReportRepo;
import cn.com.qmth.examcloud.core.reports.dao.entity.ExamCourseDataReportEntity;
import cn.com.qmth.examcloud.core.reports.service.ExamCourseDataReportService;

@Service
public class ExamCourseDataReportServiceImpl implements ExamCourseDataReportService {
	@Autowired
	private ExamCourseDataReportRepo examCourseDataReportRepo;

	@Transactional
	@Override
	public void saveExamCourseDataReportList(List<ExamCourseDataReportBean> beans) {
		List<ExamCourseDataReportEntity> list=new ArrayList<ExamCourseDataReportEntity>();
		for(ExamCourseDataReportBean bean:beans) {
			ExamCourseDataReportEntity e=new ExamCourseDataReportEntity();
			BeanUtils.copyProperties(bean, e);
			e.setPartitionData(StringUtils.join(bean.getPartitionData().toArray(), ","));
			list.add(e);
		}
		examCourseDataReportRepo.saveAll(list);
	}


}
