package cn.com.qmth.examcloud.core.reports.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.apache.commons.lang3.StringUtils;
import org.examcloud.core.reports.api.bean.ExamOrgReportBean;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import cn.com.qmth.examcloud.core.reports.dao.ExamOrgReportRepo;
import cn.com.qmth.examcloud.core.reports.dao.entity.ExamOrgReportEntity;
import cn.com.qmth.examcloud.core.reports.service.ExamOrgReportService;

@Service
public class ExamOrgReportServiceImpl implements ExamOrgReportService {
	@Autowired
	private ExamOrgReportRepo examOrgReportRepo;

	@Transactional
	@Override
	public void saveExamOrgReportList(List<ExamOrgReportBean> beans) {
		List<ExamOrgReportEntity> list=new ArrayList<ExamOrgReportEntity>();
		for(ExamOrgReportBean bean:beans) {
			ExamOrgReportEntity e=new ExamOrgReportEntity();
			BeanUtils.copyProperties(bean, e);
			e.setPartitionData(StringUtils.join(bean.getPartitionData().toArray(), ","));
			list.add(e);
		}
		examOrgReportRepo.saveAll(list);
	}


}
