package cn.com.qmth.examcloud.core.reports.service;

import org.examcloud.core.reports.api.request.UpdateProjectStatusReq;

import cn.com.qmth.examcloud.api.commons.exchange.PageInfo;
import cn.com.qmth.examcloud.core.reports.base.bean.AddProjectReq;
import cn.com.qmth.examcloud.core.reports.base.bean.ProjectBean;
import cn.com.qmth.examcloud.core.reports.base.bean.QueryProjectPageReq;
import cn.com.qmth.examcloud.core.reports.base.bean.UpdateProjectReq;

public interface ProjectService {

	public Long addProject(AddProjectReq req,Long rootOrgId);
	public void updateProject(UpdateProjectReq req,Long rootOrgId);
	public void updateEnable(String ids,Boolean enable,Long rootOrgId);
	public PageInfo<ProjectBean> queryPage(QueryProjectPageReq req,Integer pageNo,Integer pageSize,Long rootOrgId);
	public void updateProjectStatus(UpdateProjectStatusReq req) ;
}
